PowerPoint3ParserInternal::FontNameFieldParser Struct Referencefinal

Internal: a font name parser of a PowerPoint3Parser. More...

Inheritance diagram for PowerPoint3ParserInternal::FontNameFieldParser:

## Public Member Functions

| FontNameFieldParser (int numZones)
| the constructor
bool | parse (int id, MWAWInputStreamPtr &input, libmwaw::DebugFile &ascFile) final
| virtual function used to parse a field
Public Member Functions inherited from PowerPoint3ParserInternal::FieldParser
| FieldParser (int fSize, std::string const &debugName)
| the constructor
virtual | ~FieldParser ()
| destructor

## Public Attributes

int | m_numZones
| the number of zones
std::map< int, std::string > | m_idToNameMap
| map file id to font name
std::vector< int > | m_childList
| the child list
Public Attributes inherited from PowerPoint3ParserInternal::FieldParser
int | m_fieldSize
| the field size
std::string | m_name
| the debug name

## Detailed Description

Internal: a font name parser of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## FontNameFieldParser()

PowerPoint3ParserInternal::FontNameFieldParser::FontNameFieldParser | ( | int | numZones | ) |

inline explicit

the constructor

## Member Function Documentation

## parse()

bool PowerPoint3ParserInternal::FontNameFieldParser::parse | ( | int | id,
|  | MWAWInputStreamPtr & | input,
|  | libmwaw::DebugFile & | ascFile )

final virtual

virtual function used to parse a field

Implements PowerPoint3ParserInternal::FieldParser.

## Member Data Documentation

## m_childList

std::vector<int> PowerPoint3ParserInternal::FontNameFieldParser::m_childList

the child list

Referenced by PowerPoint3Parser::createZones(), FontNameFieldParser(), and parse().

## m_idToNameMap

std::map<int, std::string> PowerPoint3ParserInternal::FontNameFieldParser::m_idToNameMap

map file id to font name

Referenced by PowerPoint3Parser::createZones(), FontNameFieldParser(), and parse().

## m_numZones

int PowerPoint3ParserInternal::FontNameFieldParser::m_numZones

the number of zones

Referenced by FontNameFieldParser(), and parse().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx